from geometria import *

tekst_menu = '''\nWybierz rodzaj figury:
 * K - kwadrat
 * P - prostokąt
 * O - koło
 * T - trójkąt
 * Q - wyjście z programu'''

while True:
    print(tekst_menu)
    wybor = input('Twój wybór: ').upper()
    if wybor == 'Q':
        break
    elif wybor == 'K':
        a = float(input('Podaj długość boku: '))
        pole = pole_kwadratu(a)
        obw = obwod_kwadratu(a)
        print(f'Kwadrat o boku {a} ma pole {pole} oraz obwód {obw}')
    elif wybor == 'P':
        a = float(input('Podaj długość pierwszego boku: '))
        b = float(input('Podaj długość drugiego boku: '))
        pole = pole_prostokata(a, b)
        obw = obwod_prostokata(a, b)
        print(f'Prostokąt o bokach {a} i {b} ma pole {pole} oraz obwód {obw}')
    elif wybor == 'O':
        r = float(input('Podaj promień: '))
        pole = pole_kola(r)
        obw = obwod_kola(r)
        print(f'Koło o promieniu {r} ma pole {pole} oraz obwód {obw}')
    elif wybor == 'T':
        a = float(input('Podaj bok a: '))
        b = float(input('Podaj bok b: '))
        c = float(input('Podaj bok c: '))
        if poprawny_trojkat(a, b, c):
            pole = pole_trojkata(a, b, c)
            obw = obwod_trojkata(a, b, c)
            print(f'Tójkąt o bokach {a} {b} {c} ma pole {pole} oraz obwód {obw}')
        else:
            print(f'Niew da się zbudować trójkąta z boków {a} {b} {c}')
    else:
        print('Niepoprawny wybór')

print('Do widzenia')
